# WordSplitterFilter Class Reference
[Tools for primitive's filtration]

Inheritance diagram for WordSplitterFilter:
[legend]

List of all members.

## Public Member Functions

| setMaxWordLength ($length)
| getMaxWordLength ()
| setDelimer ($delimer)
| getDelimer ()
| apply ($value)

## Static Public Member Functions

static | create ()

## Private Attributes

| $maxWordLength = 25
| $delimer = '&#x200B;'

## Detailed Description

Definition at line 15 of file WordSplitterFilter.class.php.

## Member Function Documentation

WordSplitterFilter::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 56 of file WordSplitterFilter.class.php.

References getDelimer(), and getMaxWordLength().

Here is the call graph for this function:

static WordSplitterFilter::create | ( |  | ) | `[static]`

Returns:
  WordSplitterFilter

Definition at line 23 of file WordSplitterFilter.class.php.

WordSplitterFilter::getDelimer | ( |  | ) |

Definition at line 51 of file WordSplitterFilter.class.php.

Referenced by apply().

WordSplitterFilter::getMaxWordLength | ( |  | ) |

Definition at line 37 of file WordSplitterFilter.class.php.

Referenced by apply().

WordSplitterFilter::setDelimer | ( | $ | delimer | ) |

Returns:
  WordSplitterFilter

Definition at line 45 of file WordSplitterFilter.class.php.

References $delimer.

WordSplitterFilter::setMaxWordLength | ( | $ | length | ) |

Returns:
  WordSplitterFilter

Definition at line 31 of file WordSplitterFilter.class.php.

## Member Data Documentation

WordSplitterFilter::$delimer = '&#x200B;'`[private]`

Definition at line 18 of file WordSplitterFilter.class.php.

Referenced by setDelimer().

WordSplitterFilter::$maxWordLength = 25`[private]`

Definition at line 17 of file WordSplitterFilter.class.php.

The documentation for this class was generated from the following file:

- core/Form/Filters/WordSplitterFilter.class.php